# Class IntGenotypeFieldAccessors.Accessor

java.lang.Object
htsjdk.variant.variantcontext.writer.IntGenotypeFieldAccessors.Accessor

Direct Known Subclasses:
  `IntGenotypeFieldAccessors.ADAccessor, IntGenotypeFieldAccessors.DPAccessor, IntGenotypeFieldAccessors.GQAccessor, IntGenotypeFieldAccessors.PLAccessor`

Enclosing class:
  `IntGenotypeFieldAccessors`

public abstract static class IntGenotypeFieldAccessors.Accessor extends Object

Since:
  6/12

## Constructor Summary

Constructors
Constructor
Description
`Accessor()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getSize(Genotype g)`
`abstract int[]`
`getValues(Genotype g)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Accessor

public Accessor()

## Method Details

### getValues

public abstract int[] getValues(Genotype g)

### getSize

public final int getSize(Genotype g)